# eric4.Preferences.ConfigurationPages.DebuggerRubyPage

Module implementing the Debugger Ruby configuration page.

### Global Attributes

None

### Classes

DebuggerRubyPage | Class implementing the Debugger Ruby configuration page.

### Functions

create | Module function to create the configuration page.

## DebuggerRubyPage

Class implementing the Debugger Ruby configuration page.

### Derived from

ConfigurationPageBase, Ui_DebuggerRubyPage

### Class Attributes

None

### Class Methods

None

### Methods

DebuggerRubyPage | Constructor
on_rubyInterpreterButton_clicked | Private slot to handle the Ruby interpreter selection.
save | Public slot to save the Debugger Ruby configuration.

### Static Methods

None

#### DebuggerRubyPage (Constructor)

DebuggerRubyPage()

Constructor

#### DebuggerRubyPage.on_rubyInterpreterButton_clicked

on_rubyInterpreterButton_clicked()

Private slot to handle the Ruby interpreter selection.

#### DebuggerRubyPage.save

save()

Public slot to save the Debugger Ruby configuration.

Up

## create

create(dlg)

Module function to create the configuration page.

dlg
  reference to the configuration dialog

Up